﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Templates_Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        
    }

    protected void RadListView1_NeedDataSource(object sender, Telerik.Web.UI.RadListViewNeedDataSourceEventArgs e)
    {
        DataTable data = new DataTable();

        data.Columns.Add("ID", typeof(int));
        data.Columns.Add("Name", typeof(string));
        data.Columns.Add("Description", typeof(string));
        data.Columns.Add("Number", typeof(int));

        for (int i = 0; i < 11; i++)
        {
            data.Rows.Add(i, "Name " + i.ToString(), "Description " + i.ToString(), (i + 1));
        }

        (sender as RadListView).DataSource = data;

    }

    protected void RadListView1_ItemDataBound(object sender, RadListViewItemEventArgs e)
    {
        RadListViewDataItem dataItem = e.Item as RadListViewDataItem;
        RadNumericTextBox numericTextBox = (RadNumericTextBox)(dataItem.FindControl("RadNumericTextBox1"));

        int id = (int)dataItem.GetDataKeyValue("ID");

        if (id == 9)
        {
            numericTextBox.Type = NumericType.Number;
        }
    }
}